<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Class Members - Related Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_rela.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_b"></a>- b -</h3><ul>
<li>Body
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#a8858f397a273114ddc1443880bb5540e">OpenSim::SimbodyEngine</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>ComponentList&lt; NonConstT &gt;
: <a class="el" href="classOpenSim_1_1ComponentListIterator.html#a1ce1b1884796ef0e8f8e6fe648b16741">OpenSim::ComponentListIterator&lt; T &gt;</a>
</li>
<li>ComponentList&lt; T &gt;
: <a class="el" href="classOpenSim_1_1ComponentListIterator.html#abde55dc1245bf6a5d93526aee303cd7e">OpenSim::ComponentListIterator&lt; T &gt;</a>
</li>
<li>ComponentListIterator&lt; ConstT &gt;
: <a class="el" href="classOpenSim_1_1ComponentListIterator.html#aa3b7be25bccd203f15efd8e01dae4608">OpenSim::ComponentListIterator&lt; T &gt;</a>
</li>
<li>ComponentListIterator&lt; NonConstT &gt;
: <a class="el" href="classOpenSim_1_1ComponentListIterator.html#acdabac4f5771487e2edd7dbad16276e4">OpenSim::ComponentListIterator&lt; T &gt;</a>
</li>
<li>Constraint
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#a697ed9eaa8955d595a023663ab1e8418">OpenSim::SimbodyEngine</a>
</li>
<li>ControllerSet
: <a class="el" href="classOpenSim_1_1TrackingController.html#a3f7a76da00e5725e17cf943c1bfca710">OpenSim::TrackingController</a>
</li>
<li>Coordinate
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#aaaa73a54d509bbec9f672b233cc9c086">OpenSim::SimbodyEngine</a>
</li>
<li>CoordinateCouplerConstraint
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#ac1b1217996ce38b69ad59c3b5152c566">OpenSim::SimbodyEngine</a>
</li>
</ul>


<h3><a id="index_j"></a>- j -</h3><ul>
<li>Joint
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#a2b27269e818d7b63995be0e0f812bf54">OpenSim::SimbodyEngine</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>MocoInverse
: <a class="el" href="classOpenSim_1_1MocoInverseSolution.html#a741bd9396c3759318232733d5f4efdd4">OpenSim::MocoInverseSolution</a>
</li>
<li>MocoProblemRep
: <a class="el" href="classOpenSim_1_1MocoKinematicConstraint.html#a4946dcda44031bce9e82ef198df40564">OpenSim::MocoKinematicConstraint</a>
</li>
<li>MocoSolver
: <a class="el" href="classOpenSim_1_1MocoSolution.html#a25d5c6f2105efea72ac08205998bcb97">OpenSim::MocoSolution</a>
</li>
<li>Model
: <a class="el" href="classOpenSim_1_1ModelVisualizer.html#a2bf2a0e9b454c55aa5dcb5aa4698697b">OpenSim::ModelVisualizer</a>
</li>
<li>ModelComponentSet
: <a class="el" href="classOpenSim_1_1ModelComponent.html#a1767db31c4fcefac766cd7fc2fdadde3">OpenSim::ModelComponent</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>OpenSim_DECLARE_ABSTRACT_OBJECT
: <a class="el" href="classOpenSim_1_1Object.html#ab75c37552f6feacddf9fc1d9a7c08cbe">OpenSim::Object</a>
</li>
<li>OpenSim_DECLARE_ABSTRACT_OBJECT_T
: <a class="el" href="classOpenSim_1_1Object.html#af7bc131913e859c757561270bb3adb86">OpenSim::Object</a>
</li>
<li>OpenSim_DECLARE_CONCRETE_OBJECT
: <a class="el" href="classOpenSim_1_1Object.html#a13075f96c92f1a0f18b791adf0fa255b">OpenSim::Object</a>
</li>
<li>OpenSim_DECLARE_CONCRETE_OBJECT_T
: <a class="el" href="classOpenSim_1_1Object.html#a04a016239bdc0a855927f706eca78876">OpenSim::Object</a>
</li>
<li>OpenSim_DECLARE_INPUT
: <a class="el" href="classOpenSim_1_1Input.html#a7ad0c2203b59019276c28f44177ba5f6">OpenSim::Input&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_LIST_INPUT
: <a class="el" href="classOpenSim_1_1Input.html#a16a0ebae1af42f741f42f7229d8baf08">OpenSim::Input&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_LIST_OUTPUT
: <a class="el" href="classOpenSim_1_1Output.html#ade204d1b32e61f7bc8ad932ef0301add">OpenSim::Output&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_LIST_PROPERTY
: <a class="el" href="classOpenSim_1_1Property.html#ace0672f7b1b1864f20f827549904e26a">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_LIST_PROPERTY_ATLEAST
: <a class="el" href="classOpenSim_1_1Property.html#a04e9ee4d251db381f48929f172bdf214">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_LIST_PROPERTY_ATMOST
: <a class="el" href="classOpenSim_1_1Property.html#a3491426fb9c7078df400aa5b6f81f254">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_LIST_PROPERTY_RANGE
: <a class="el" href="classOpenSim_1_1Property.html#a16288ac5906b92edf9f18f6d1c65bbf5">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_LIST_PROPERTY_SIZE
: <a class="el" href="classOpenSim_1_1Property.html#a5f19334ae8d23219043dbc835aede6ff">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_OPTIONAL_PROPERTY
: <a class="el" href="classOpenSim_1_1Property.html#ac2050f2bbad9dde01a8ba58a4099bcc7">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_OUTPUT
: <a class="el" href="classOpenSim_1_1Output.html#a62692d2a587875ea38a84729c2c0e8cf">OpenSim::Output&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_OUTPUT_FOR_STATE_VARIABLE
: <a class="el" href="classOpenSim_1_1Output.html#a49ecdfb7a550d918d35fd2e2bd44d232">OpenSim::Output&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_PROPERTY
: <a class="el" href="classOpenSim_1_1Property.html#a63b73d3f31b4fabb621028261ef63bd7">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_SOCKET
: <a class="el" href="classOpenSim_1_1Socket.html#a5627e06a72d104c5237265026d357442">OpenSim::Socket&lt; T &gt;</a>
</li>
<li>OpenSim_DECLARE_UNNAMED_PROPERTY
: <a class="el" href="classOpenSim_1_1Property.html#abddd12d20ea11b5fbbed0f0115423252">OpenSim::Property&lt; T &gt;</a>
</li>
<li>OPENSIM_THROW
: <a class="el" href="classOpenSim_1_1Exception.html#a22b9c2ec3cb629075f2d96a6669cdbc9">OpenSim::Exception</a>
</li>
<li>OPENSIM_THROW_IF
: <a class="el" href="classOpenSim_1_1Exception.html#ae16eef2046486e4847244130a27ec6b8">OpenSim::Exception</a>
</li>
<li>operator&lt;&lt;
: <a class="el" href="classOpenSim_1_1Array.html#a9de7cd20d4d15367196d207c9628b57b">OpenSim::Array&lt; T &gt;</a>
, <a class="el" href="classOpenSim_1_1ControlLinearNode.html#a162872c5fd9f58701c4d97fa7baa7226">OpenSim::ControlLinearNode</a>
, <a class="el" href="classOpenSim_1_1Object.html#a89a6ee4ca0d4b2502e469e5ae9bce0c4">OpenSim::Object</a>
, <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a67d01260b00044e0a63b7b4c6b2eecd1">OpenSim::Property_Deprecated</a>
, <a class="el" href="classOpenSim_1_1PropertySet.html#a99906df4b762bc8d9b4c885abd648c8f">OpenSim::PropertySet</a>
, <a class="el" href="classOpenSim_1_1Set.html#a066c21125944afe7910893547c3f8792">OpenSim::Set&lt; T, C &gt;</a>
, <a class="el" href="classOpenSim_1_1StateVector.html#a8e0ff42610f9f40cff07630417d2238c">OpenSim::StateVector</a>
</li>
<li>operator&gt;&gt;
: <a class="el" href="classOpenSim_1_1Array.html#a83c389642a8a1db9c03409fcffe715fd">OpenSim::Array&lt; T &gt;</a>
</li>
<li>Output
: <a class="el" href="classOpenSim_1_1Output_1_1Channel.html#af057fc0ab0f1b38774a0b4978a25b6c7">OpenSim::Output&lt; T &gt;::Channel</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SmoothSegmentedFunctionFactory
: <a class="el" href="classOpenSim_1_1SmoothSegmentedFunction.html#a065e9c1dda8033669430a481cdff40e2">OpenSim::SmoothSegmentedFunction</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>TableUtilities
: <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a800e72fce2b6a4b9663bedcd7c5f6960">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>WeldConstraint
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#abb408e102322ca67b28d6386c622f3fe">OpenSim::SimbodyEngine</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:33 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
